Skip to content

Send a message

POST
/v2/health-navigator/messages
curl --request POST \
--url https://client-api.abi.ai/v2/health-navigator/messages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "userId": "abi12345", "text": "I have a headache and a sore throat." }'
Media typeapplication/json
object
userId
required

Abi user identifier for the conversation.

string
Example
abi12345
text
required

User message sent to Health Navigator.

string
Example
I have a headache and a sore throat.
Example
{
"userId": "abi12345",
"text": "I have a headache and a sore throat."
}

Message accepted for delivery. The receipt contains the message identifier and current conversation status.

Media typeapplication/json
object
userId

Abi user identifier.

string
messageId

Identifier of the accepted user message.

string
conversationInfo
object
id

Conversation identifier.

string
status

Current conversation lifecycle status.

string
Allowed values: OPEN WAITING_FOR_RESPONSE RESOLVED CLOSED
Example
{
"userId": "abi12345",
"messageId": "01K9F5PWBM2AFT1RG7TMN3YG1R",
"conversationInfo": {
"id": "01HK8GGQ123456789ABCDEFGHI",
"status": "OPEN"
}
}

Request could not be completed.

Media typeapplication/json
object
code

Short machine-readable error code.

string
message

Human-readable explanation of the error.

string
Examplegenerated
{
"code": "example",
"message": "example"
}

Request could not be completed.

Media typeapplication/json
object
code

Short machine-readable error code.

string
message

Human-readable explanation of the error.

string
Examplegenerated
{
"code": "example",
"message": "example"
}